# -*- coding: utf-8 -*-

import ConfigParser
conf = None

class FakeGlobalSectionHead(object):
    def __init__(self, fp):
        self.fp = fp
        self.sechead = '[global]\n'
    def readline(self):
        if self.sechead:
            try:
                return self.sechead
            finally:
                self.sechead = None
        else:
            return self.fp.readline()

def read(filenames):
    global conf
    conf = ConfigParser.RawConfigParser()
    return conf.read(filenames)

def options(section):
    opts = []
    try:
        opts = conf.options(section)
    except:
        print "No section: '%s'. Return options - %s" % (section, opts)
    return opts 

def set(section, option, value):
    return conf.set(section, option, value)

def getBool(section, option, defaultValue):
    value = defaultValue
    try:
        value = conf.getboolean(section, option)
    except:
        pass
    return value

def getInt(section, option, defaultValue):
    value = defaultValue
    try:
        value = conf.getint(section, option)
    except:
        pass
    return value

def getString(section, option, defaultValue):
    value = defaultValue
    try:
        value = conf.get(section, option)
    except:
        pass
    return value
